% Example script showing how to use the ClusterTools toolbox.
% You will need to modify the 'make_cluster_options.m' file to work with your hardware. 

machine='fats';
locDir='/data2/spk/MITgcm_c57g_post/spk/MIT_Matrix_Global_2.8deg/KielBiogeochem_NPZDDOP_Schmittner_Matrix5_1';
remDir='/scratch1/fats/spk/MITgcm_c57g_post/spk/MIT_Matrix_Global_2.8deg/KielBiogeochem_NPZDDOP_Schmittner_Matrix5_1';
sharedFileSystem=0;
singleMachine=0;
checkType=1;
checkFile='donefile';
numCPUs=16;
exeCmd=['mpirun -np ' int2str(numCPUs) ' ./mympiprogram -i input_options > log'];

joboptions=make_cluster_options(machine,locDir,remDir,exeCmd,numCPUs,'MyProg',sharedFileSystem,singleMachine,checkType,checkFile,[],'checkjob');

% submit job
id=jobsubmit(joboptions);

% wait for job to be done
jobDone=0;
while ~jobDone % wait until job is done
  jobDone=jobcheck(joboptions);
  if ~jobDone
	pause(30)
  end
end

