function flag=jobcheck(options)

% missing options
if ~isfield(options,'frontend')
  error('ERROR: Must specify frontend node')
end

if ~isfield(options,'locdir')
  error('ERROR: Must specify path to local directory')
end

if ~isfield(options,'remdir')
  error('ERROR: Must specify path to remote directory')
end

% Set defaults
if ~isfield(options,'system')
  options.system='PBS';
end
if ~isfield(options,'checktype')
  options.checktype=1;
end
if ~ismember(options.checktype,[1 2])
  error('ERROR: options.checktype must be 1 or 2')
end
if options.checktype==1  
  if ~isfield(options,'checkfile')
    options.checkfile='donefile';  
  end
elseif options.checktype==2
  if ~isfield(options,'checktoken')
    error('ERROR: Must specify checktoken option for job check')
  end
  if ~isfield(options,'checkfile')
	options.checkfile='logfile';
  end
end
if ~isfield(options,'checkcommandfile')
  options.checkcommandfile='checkjob';
end

if ~isfield(options,'sharedfilesystem')
  options.sharedfilesystem=0;
end
if ~ismember(options.sharedfilesystem,[0 1])
  error('ERROR: options.sharedfilesystem must be 0 or 1')
end

if ~isfield(options,'singlemachine')
  options.singlemachine=0;
end
if ~ismember(options.singlemachine,[0 1])
  error('ERROR: options.singlemachine must be 0 or 1')
end
if options.singlemachine
  if ~strcmp(options.locdir,options.remdir)
    error('ERROR: Local and remote paths differ even though options.singlemachine is set to 1')
  end
  if ~options.sharedfilesystem
    error('ERROR: options.singlemachine is set to 1, but options.sharedfilesystem is set to 0')
  end    
end  

if ~isfield(options,'sshport')
  sshport='';
  scpport='';
else
  sshport=['-p ' options.sshport];
  scpport=['-P ' options.sshport];
end  

currDir=pwd;

if ~options.sharedfilesystem
  flag=0;
  remJobStr=['ssh -n ' sshport ' ' options.frontend ' "cd ' options.remdir ';./' options.checkcommandfile '"'];
  s=evalExternalCommand(remJobStr);
  if isempty(strfind(s,'0'))
%    disp('Done running job')
    flag=1;
  end
else
  cd(options.locdir)
  flag=0;
  remJobStr=['./' options.checkcommandfile];
  s=evalExternalCommand(remJobStr);  
  if isempty(strfind(s,'0'))
%    disp('Done running job')
    flag=1;
  end
end

cd(currDir)
